Skip to main content
POST
Run, pause, resume, or delete an ordinary Automation

Authorizations

x-coderabbitai-api-key
string
header
required

API key for authentication. You can create an API key from the CodeRabbit dashboard.

Path Parameters

automation_id
string
required
Minimum string length: 1

Body

application/json
expected_revision
integer
required
Required range: 0 < x <= 9007199254740991
action
enum<string>
required
Available options:
run_now,
pause,
resume,
delete
org_id
string

Git-provider organization ID. Required for workspace keys; omit for organization keys. This differs from the CodeRabbit organization ID in scope.id.

Minimum string length: 1
message_platform_provider
enum<string>
default:slack
Available options:
slack,
discord,
microsoft_teams
channel_id
string
Minimum string length: 1

Response

OK

automation_id
string
required
action
enum<string>
required
Available options:
run_now,
pause,
resume,
delete
data
object
message
string